Subject: [PATCH v3 09/31] arm64: Cache maintenance routines

From: [email-masked] (Catalin Marinas)
Date: Fri, 14 Sep 2012 17:53:32 +0100

On Mon, Sep 10, 2012 at 06:29:21PM +0100, Nicolas Pitre wrote:
> On Mon, 10 Sep 2012, Catalin Marinas wrote:
> 
> > On Fri, Sep 07, 2012 at 08:28:09PM +0100, Arnd Bergmann wrote:
> > > On Friday 07 September 2012, Catalin Marinas wrote:
> > > > +
> > > > +/*
> > > > + *	dmac_inv_range(start,end)
> > > 
> > > all of these appear to be unused now. Can you remove them?
> > 
> > They aren't currently used but I expect some partners to make use of
> > them on their private development. I could drop them from the upstream
> > branch temporarily.
> 
> Depends.  If your expectation from those partners is a real probability 
> then it is best to keep a skeleton in place for them to use, otherwise 
> they might get ... creative.  If this is just wild speculation then you 
> should drop it.

I dropped them for now since there is no API using those functions. But
I have a feeling they will be needed at some point (so I'll keep the
patches around).

-- 
Catalin